Package org.apache.sling.event.impl.jobs.console

# Class InventoryPlugin

java.lang.Object
org.apache.sling.event.impl.jobs.console.InventoryPlugin

All Implemented Interfaces:
  `org.apache.felix.inventory.InventoryPrinter`

public class InventoryPlugin extends Object implements org.apache.felix.inventory.InventoryPrinter
This is a inventory plugin displaying the active queues, some statistics and the configurations.

Since:
  3.2

## Field Summary

### Fields inherited from interface org.apache.felix.inventory.InventoryPrinter

`FORMAT, NAME, SERVICE, TITLE, WEBCONSOLE`

## Constructor Summary

Constructors
Constructor
Description
`InventoryPlugin()`

## Method Summary

Modifier and Type
Method
Description
`void`
`print(PrintWriter pw, org.apache.felix.inventory.Format format, boolean isZip)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### InventoryPlugin

public InventoryPlugin()

## Method Details

### print

public void print(PrintWriter pw, org.apache.felix.inventory.Format format, boolean isZip)

Specified by:
  `print` in interface `org.apache.felix.inventory.InventoryPrinter`
See Also:
  - `InventoryPrinter.print(java.io.PrintWriter, org.apache.felix.inventory.Format, boolean)`